
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>6.22. [U4.65.02] : Operator DEFI_MODELE_GENE &#8212; Code-Aster v14 0.1 documentation</title>
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/app.css" type="text/css" />
    <link rel="stylesheet" type="text/css" href="../../_static/graphviz.css" />
    <link rel="stylesheet" type="text/css" href="../../_static/code_aster.css" />
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script async="async" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.7/latest.js?config=TeX-AMS-MML_HTMLorMML"></script>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="6.23. [U4.65.03] : Operator NUME_DDL_GENE" href="u4.65.03.html" />
    <link rel="prev" title="6.21. [U4.65.01] : Operator MACR_ELEM_DYNA" href="u4.65.01.html" />

<script type="text/javascript" src="../../_static/sidebar.js"></script>

<link rel="stylesheet" href="https://use.typekit.net/isi7ftn.css">
<script>try{Typekit.load({ async: true });}catch(e){}</script>
<script type="text/javascript" src="../../_static/copybutton.js"></script>


  </head><body>
<div class="topbar">
  <!--
  <a class="brand" title="Documentation Home" href="../../index.html">
    <span id="logotext">LSST Science Pipelines</span>
  </a>
  -->
  <ul>
    <li><a href="https://www.code-aster.org/V2/spip.php?rubrique19">Code Aster PDF Docs</a></li>
  </ul>
</div>

<div class="related">
    <h3>Navigation</h3>
    <ul>
      <li class="right">
	<a href="u4.65.03.html" title="6.23. [U4.65.03] : Operator NUME_DDL_GENE">
	  next &raquo;
	</a>
      </li>
      <li class="right">
	<a href="u4.65.01.html" title="6.21. [U4.65.01] : Operator MACR_ELEM_DYNA">
	  &laquo; previous
	</a>
	 |
      </li>
      <li>
	<a href="../../index.html">Code-Aster v14 0.1 documentation</a>
	 &#187;
      </li>
      <li><a href="u4_toc.html" accesskey="U"><span class="section-number">6. </span><strong>U4</strong>: Command documentation</a> &#187;</li>
      
      <li><span class="section-number">6.22. </span><strong>[U4.65.02]</strong> : Operator <code class="docutils literal notranslate"><span class="pre">DEFI_MODELE_GENE</span></code></li> 
    </ul>
</div>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="u4-65-02-operator-defi-modele-gene">
<span id="u4-65-02"></span><span id="index-0"></span><h1><span class="section-number">6.22. </span><strong>[U4.65.02]</strong> : Operator <code class="docutils literal notranslate"><span class="pre">DEFI_MODELE_GENE</span></code><a class="headerlink" href="#u4-65-02-operator-defi-modele-gene" title="Permalink to this headline">¶</a></h1>
<div class="section" id="purpose">
<span id="u4-65-02-1"></span><h2><span class="section-number">6.22.1. </span>Purpose<a class="headerlink" href="#purpose" title="Permalink to this headline">¶</a></h2>
<p>To create the total structure from the substructures in dynamic substructuring (cf <a class="reference internal" href="../reference/r4.06.02.html#r4-06-02"><span class="std std-ref">[R4.06.02]</span></a>).</p>
<p>Within the framework of a calculation using the methods of dynamic substructuring (modal or harmonic analysis),
the operator <span class="red">DEFI_MODELE_GENE</span> allows us to describe the total structure starting from macro-elements
resulting from <span class="red">MACR_ELEM_DYNA</span> <a class="reference internal" href="u4.65.01.html#u4-65-01"><span class="std std-ref">[U4.65.01]</span></a> and the various interfaces which bind the
substructures to each other. A macro-element can be used to define several substructures, whatever their
orientation in the physical coordinate system if the coupling is carried out statically
(option <span class="blue">‘CLASSIQUE’</span>). This possibility allows repetition of a component to be taken into account
in the overall structure.</p>
<p>The output of this operator is a data structure of the <span class="green">modele_gene</span> type.</p>
</div>
<div class="section" id="syntax">
<span id="u4-65-02-2"></span><h2><span class="section-number">6.22.2. </span>Syntax<a class="headerlink" href="#syntax" title="Permalink to this headline">¶</a></h2>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>mo_gene [modele_gene] = DEFI_MODELE_GENE
 (
  ♦ SOUS_STRUC = _F(
                     ♦ NOM = name_substruc,                 [Kn]
                     ♦ MACR_ELEM_DYNA = macro_dy,           [macr_elem_dyna]
                     ◊ ANGL_NAUT = angl_naut,               [l_R]
                     ◊ TRANS = trans,                       [l_R]
                   ),

  ♦ LIAISON = _F(
                  ♦ SOUS_STRUC_1 = &#39;name_substruc1&#39;,        [Kn]
                  ♦ INTERFACE_1 = &#39;name_int1&#39;,              [Kn]
                  ♦ SOUS_STRUC_2 = &#39;nam_substruc2&#39;,         [Kn]
                  ♦ INTERFACE_2 = &#39;name_int2&#39;,              [Kn]
                  ◊ GROUP_MA_MAIT_1 = el_grp1,              [l_gr_maille]
                  ◊ GROUP_MA_MAIT_2 = el_grp2,              [l_gr_maille]
                  ◊ OPTION = / &#39;CLASSIQUE&#39;,                 [DEFAULT]
                             / &#39;REDUIT&#39;
                ),

  ◊ VERIF = _F(
                ◊ STOP_ERREUR = / &#39;OUI&#39;,                    [DEFAULT]
                                / &#39;NON&#39;,
                ◊ PRECISION = / prec,                       [R]
                              / 1.E-3,                      [DEFAULT]
                ◊ CRITERE = / &#39;RELATIF&#39;,                    [DEFAULT]
                            / &#39;ABSOLU&#39;
              ),

  ◊ INFO = / 1,                                             [DEFAULT]
           / 2
 )
</pre></div>
</div>
</div>
<div class="section" id="operands">
<span id="u4-65-02-3"></span><h2><span class="section-number">6.22.3. </span>Operands<a class="headerlink" href="#operands" title="Permalink to this headline">¶</a></h2>
<div class="section" id="key-word-sous-struc">
<span id="u4-65-02-3-1"></span><h3><span class="section-number">6.22.3.1. </span>Key word <span class="blue">SOUS_STRUC</span><a class="headerlink" href="#key-word-sous-struc" title="Permalink to this headline">¶</a></h3>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>♦ SOUS_STRUC
</pre></div>
</div>
<p>Keyword factor for defining all the substructures which compose the overall structure. The definition of a
substructure is using its name, of the macro-element associated with it, and its orientation in the physical
reference coordinate system.</p>
<div class="section" id="operand-nom">
<span id="u4-65-02-3-1-1"></span><h4><span class="section-number">6.22.3.1.1. </span>Operand <span class="blue">NOM</span><a class="headerlink" href="#operand-nom" title="Permalink to this headline">¶</a></h4>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>♦ NOM = &#39;struc_name&#39;
</pre></div>
</div>
<p>Name containing 8 characters maximum which will subsequently be used to designate the substructure in :</p>
<ul class="simple">
<li><p>operator <span class="red">DEFI_MODELE_GENE</span> <a class="reference internal" href="#u4-65-02"><span class="std std-ref">[U4.65.02]</span></a> operands: <span class="blue">LIAISON</span> and
<span class="blue">SOUS_STRUC_1</span>,</p></li>
<li><p>operator <span class="red">DEFI_SQUELETTE</span> <a class="reference internal" href="u4.24.01.html#u4-24-01"><span class="std std-ref">[U4.24.01]</span></a>, operand: <span class="blue">SOUS_STRUC</span>,</p></li>
<li><p>operator: <span class="red">ASSE_VECT_GENE</span> <a class="reference internal" href="u4.65.05.html#u4-65-05"><span class="std std-ref">[U4.65.05]</span></a>, operand: <span class="blue">SOUS_STRUC</span>,</p></li>
<li><p>operator: <span class="red">REST_SOUS_STRUC</span> <a class="reference internal" href="u4.63.32.html#u4-63-32"><span class="std std-ref">[U4.63.32]</span></a>, operand: <span class="blue">SOUS_STRUC</span>.</p></li>
</ul>
</div>
<div class="section" id="operand-macr-elem-dyna">
<span id="u4-65-02-3-1-2"></span><h4><span class="section-number">6.22.3.1.2. </span>Operand <span class="blue">MACR_ELEM_DYNA</span><a class="headerlink" href="#operand-macr-elem-dyna" title="Permalink to this headline">¶</a></h4>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>♦ MACR_ELEM_DYNA = macro_dyna
</pre></div>
</div>
<p>Name of the concept <span class="green">macr_elem_dyna</span> resulting from the operator <span class="red">MACR_ELEM_DYNA</span>
<a class="reference internal" href="u4.65.01.html#u4-65-01"><span class="std std-ref">[U4.65.01]</span></a> which indicates the condensed model of the substructure. It is recalled that a
macro-element can serve for the definition of several substructures.</p>
</div>
<div class="section" id="operand-angl-naut">
<span id="u4-65-02-3-1-3"></span><h4><span class="section-number">6.22.3.1.3. </span>Operand <span class="blue">ANGL_NAUT</span><a class="headerlink" href="#operand-angl-naut" title="Permalink to this headline">¶</a></h4>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>◊ANGL_NAUT = angl_naut
</pre></div>
</div>
<p>List of the 3 nautical angles, in degrees, which switch from the orientation of the  macro-element model
to that of the substructure. Refer to the operator <span class="red">AFFE_CARA_ELEM</span> <a class="reference internal" href="u4.42.01.html#u4-42-01"><span class="std std-ref">[U4.42.01]</span></a>: Operand
<span class="blue">ORIENTATION</span> for the definition and use of nautical angles.</p>
</div>
<div class="section" id="operand-trans">
<span id="u4-65-02-3-1-4"></span><h4><span class="section-number">6.22.3.1.4. </span>Operand <span class="blue">TRANS</span><a class="headerlink" href="#operand-trans" title="Permalink to this headline">¶</a></h4>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>◊TRANS = trans
</pre></div>
</div>
<p>List of 3 translation components to build a new substructure from the macro-element model by applying an overall
translation.</p>
</div>
<div class="section" id="keyword-liaison">
<span id="u4-65-02-3-2"></span><h4><span class="section-number">6.22.3.1.5. </span>Keyword <span class="blue">LIAISON</span>:<a class="headerlink" href="#keyword-liaison" title="Permalink to this headline">¶</a></h4>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>♦ LIAISON = _F(
                ♦ SOUS_STRUC_1 = &#39;name_substruc1&#39;,        [Kn]
                ♦ INTERFACE_1 = &#39;name_int1&#39;,              [Kn]
                ♦ SOUS_STRUC_2 = &#39;nam_substruc2&#39;,         [Kn]
                ♦ INTERFACE_2 = &#39;name_int2&#39;,              [Kn]
                ◊ GROUP_MA_MAIT_1 = el_grp1,              [l_gr_maille]
                ◊ GROUP_MA_MAIT_2 = el_grp2,              [l_gr_maille]
                ◊ OPTION = / &#39;CLASSIQUE&#39;,                 [DEFAULT]
                           / &#39;REDUIT&#39;
              ),
</pre></div>
</div>
<p>Keyword factor for defining all the interfaces of coupling between substructures. A coupling is defined by the
names of two adjacent substructures and, for each, the name of the corresponding interface.</p>
<p>In case of an
incompatibility of elements between the two substructures, it is necessary to indicate which interface will
be considered as master (keywords <span class="blue">GROUP_MA_MAIT_*</span>). The slave nodes which are projected on the master
interface are defined by <span class="red">DEFI_INTERF_DYNA</span> <a class="reference internal" href="u4.64.01.html#u4-64-01"><span class="std std-ref">[U4.64.01]</span></a>. The “reattachment” of the 2
interfaces will be done by linear relations between the degrees of freedom of the 2 faces.</p>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>It is recommended that in the case of incompatible interfaces, the master interface be the one whose
discretization is the coarsest. In the case of using classical static modes (all degrees of freedom
considered), it is advisable to use the interface with the smallest number of degrees of freedom as
the master interface. In the case of the use of coupling modes, this choice can be more delicate. The choice
of the master interface can significantly impact the quality of the result if the two models present
very different discretizations. See the discussion on this in <a class="reference internal" href="#u4-65-02-5-2"><span class="std std-numref">Section 6.22.5.2</span></a>.</p>
</div>
<p>Displacements of the nodes of the slave face will be connected to the displacements of their projections on
the master side. For each node of the slave face, one will write 2 (in 2D) or 3 (in 3D) linear relations.</p>
<p>An application of this functionality is the reattachment of a mesh of linear elements (P1) on another quadratic
mesh (P2). In this case it is advised to choose the quadratic face as “slave”.</p>
<p>It is possible to define a interface by reduced modes (or interface modes) by the keyword <span class="blue">OPTION</span>.</p>
</div>
<div class="section" id="operand-sous-struc-1">
<span id="u4-65-02-3-2-1"></span><h4><span class="section-number">6.22.3.1.6. </span>Operand <span class="blue">SOUS_STRUC_1</span><a class="headerlink" href="#operand-sous-struc-1" title="Permalink to this headline">¶</a></h4>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>♦ SOUS_STRUC_1 = &#39;name_sstruc1&#39;
</pre></div>
</div>
<p>Name of the first of the substructures brought into play on both sides of the interface. It must have been
defined previously with the keyword: <span class="blue">SOUS_STRUC</span>.</p>
</div>
<div class="section" id="operand-interface-1">
<span id="u4-65-02-3-2-2"></span><h4><span class="section-number">6.22.3.1.7. </span>Operand <span class="blue">INTERFACE_1</span><a class="headerlink" href="#operand-interface-1" title="Permalink to this headline">¶</a></h4>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>♦ INTERFACE_1 = &#39;int_name1&#39;
</pre></div>
</div>
<p>Name of the interface of the first substructure in the connection. It must have been defined previously by
the operator <span class="red">DEFI_INTERF_DYNA</span> <a class="reference internal" href="u4.64.01.html#u4-64-01"><span class="std std-ref">[U4.64.01]</span></a> for the macro-support element of the
substructure.</p>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>In the case of the use of couplings modes (operator <span class="red">MODE_STATIQUE</span>) with the keyword
<span class="red">MODE_INTERF</span>, it is essential that the dynamic interface is of type <span class="blue">CRAIGB</span>.</p>
</div>
</div>
<div class="section" id="operand-group-ma-mait-1">
<span id="u4-65-02-3-2-3"></span><h4><span class="section-number">6.22.3.1.8. </span>Operand <span class="blue">GROUP_MA_MAIT_1</span><a class="headerlink" href="#operand-group-ma-mait-1" title="Permalink to this headline">¶</a></h4>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>◊ GROUP_MA_MAIT_1 = lgma1
</pre></div>
</div>
<p>This keyword makes it possible to designate the master substructure, independently of the group of
elements specified in the input. The operator <span class="red">DEFI_MODELE_GENE</span> supports the search for adjacent elements in
all the cases, by using the definition of the interfaces (operator <span class="red">DEFI_INTERF_DYNA</span> -
<a class="reference internal" href="u4.64.01.html#u4-64-01"><span class="std std-ref">U4.64.01</span></a>). If the interface is incompatible, and the keyword is not indicated, it is
substructure 1 which is defined as master.</p>
</div>
<div class="section" id="operand-sous-struc-2">
<span id="u4-65-02-3-2-4"></span><h4><span class="section-number">6.22.3.1.9. </span>Operand <span class="blue">SOUS_STRUC_2</span><a class="headerlink" href="#operand-sous-struc-2" title="Permalink to this headline">¶</a></h4>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>♦ SOUS_STRUC_2 = &#39;name_sstruc2&#39;
</pre></div>
</div>
<p>Name of the second of the substructures brought into play on either side of the connection. It must have been
previously defined with the keyword <span class="blue">SOUS_STRUC</span>.</p>
</div>
<div class="section" id="operand-interface-2">
<span id="u4-65-02-3-2-5"></span><h4><span class="section-number">6.22.3.1.10. </span>Operand <span class="blue">INTERFACE_2</span><a class="headerlink" href="#operand-interface-2" title="Permalink to this headline">¶</a></h4>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>♦ INTERFACE_2 = &#39;int_name2&#39;
</pre></div>
</div>
<p>Name of the interface of the second substructure in the connection. It must have been defined previously by the
operator <span class="red">DEFI_INTERF_DYNA</span> <a class="reference internal" href="u4.64.01.html#u4-64-01"><span class="std std-ref">[U4.64.01]</span></a> for the support macro-element of the substructure.</p>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>In the case of the use of coupling modes (operator <span class="red">MODE_STATIQUE</span>) with the keyword <span class="blue">MODE_INTERF</span>,
it is essential that the dynamic interface is of type <span class="blue">CRAIGB</span>.</p>
</div>
</div>
<div class="section" id="operand-group-ma-mait-2">
<span id="u4-65-02-3-2-6"></span><h4><span class="section-number">6.22.3.1.11. </span>Operand <span class="blue">GROUP_MA_MAIT_2</span><a class="headerlink" href="#operand-group-ma-mait-2" title="Permalink to this headline">¶</a></h4>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>◊ GROUP_MA_MAIT_2 = lgma2
</pre></div>
</div>
<p>This keyword makes it possible to designate the master substructure, independently of the group of elements
specified as input. The operator <span class="red">DEFI_MODELE_GENE</span> supports the search of adjacent elements in all the
cases, by using the definition of the interfaces (see operator <span class="red">DEFI_INTERF_DYNA</span> -
<a class="reference internal" href="u4.64.01.html#u4-64-01"><span class="std std-ref">U4.64.01</span></a>). If the interface is incompatible, and the keyword is not indicated, it is
substructure 1 which is defined as master.</p>
</div>
<div class="section" id="operand-option">
<span id="u4-65-02-3-2-7"></span><h4><span class="section-number">6.22.3.1.12. </span>Operand <span class="blue">OPTION</span><a class="headerlink" href="#operand-option" title="Permalink to this headline">¶</a></h4>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>◊ OPTION = / &#39;CLASSIQUE&#39;,
           / &#39;REDUIT&#39;
</pre></div>
</div>
<p>Allows to choose between a conventional substructuring by static modes (method of Mac-Neal, Craig-Bampton
harmonic or not) or by interface modes.</p>
</div>
</div>
<div class="section" id="keyword-verif">
<span id="u4-65-02-3-3"></span><h3><span class="section-number">6.22.3.2. </span>Keyword <span class="blue">VERIF</span><a class="headerlink" href="#keyword-verif" title="Permalink to this headline">¶</a></h3>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>◊ VERIF
</pre></div>
</div>
<p>Key word factor for checking the coherence of the generalized model: it is checked that the connection is
compatible with the orientations and the translations assigned to the substructures. The nodes of the two
interfaces do not a priori have to be ordered in such a way that they are perfectly aligned in number.
If the nodes of the interfaces are not perfectly aligned, the code detects this state and reorders the
nodes so as to put them back in alignment.</p>
<div class="section" id="operand-stop-erreur">
<span id="u4-65-02-3-3-1"></span><h4><span class="section-number">6.22.3.2.1. </span>Operand <span class="blue">STOP_ERREUR</span><a class="headerlink" href="#operand-stop-erreur" title="Permalink to this headline">¶</a></h4>
<p>Carry out (or not) the consistency check of the generalized model.</p>
</div>
<div class="section" id="operands-precision-critere">
<span id="u4-65-02-3-3-2"></span><h4><span class="section-number">6.22.3.2.2. </span>Operands <span class="blue">PRECISION / CRITERE</span><a class="headerlink" href="#operands-precision-critere" title="Permalink to this headline">¶</a></h4>
<p>Indicates the precision threshold beyond which the connections are incompatible. This is the distance
(relative or absolute according to <span class="blue">CRITERE</span>) beyond which the connection nodes are considered
as too far apart to be effectively connected.</p>
</div>
</div>
<div class="section" id="keyword-info">
<span id="u4-65-02-3-4"></span><h3><span class="section-number">6.22.3.3. </span>Keyword <span class="blue">INFO</span><a class="headerlink" href="#keyword-info" title="Permalink to this headline">¶</a></h3>
<p>Keyword used to specify the output message level.</p>
</div>
</div>
<div class="section" id="execution-phase">
<span id="u4-65-02-4"></span><h2><span class="section-number">6.22.4. </span>Execution phase<a class="headerlink" href="#execution-phase" title="Permalink to this headline">¶</a></h2>
<p>The operator carries out a certain number of checks on the consistency of the connections if the connection
does not present any mesh incompatibility:</p>
<ul class="simple">
<li><p>identical number of nodes on either side of the connection,</p></li>
<li><p>coherence, at each node, after orientation of the active degrees of freedom on both sides of the connection</p></li>
</ul>
</div>
<div class="section" id="matrices-and-connection-conditions-calculated-by-defi-modele-gene">
<span id="u4-65-02-5"></span><h2><span class="section-number">6.22.5. </span>Matrices and connection conditions calculated by <span class="red">DEFI_MODELE_GENE</span><a class="headerlink" href="#matrices-and-connection-conditions-calculated-by-defi-modele-gene" title="Permalink to this headline">¶</a></h2>
<div class="section" id="the-classique-option">
<span id="u4-65-02-5-1"></span><h3><span class="section-number">6.22.5.1. </span>The <span class="blue">‘CLASSIQUE’</span> option<a class="headerlink" href="#the-classique-option" title="Permalink to this headline">¶</a></h3>
<p>The operator calculates the oriented connection matrices appearing in the generalized model:</p>
<div class="math notranslate nohighlight">
\[(\mathbf{L}_j^k)_{\text{oriented}} = \mathbf{B}_j^k \mathbf{R}^k \boldsymbol{\Phi}^k\]</div>
<p>where</p>
<ul class="simple">
<li><p>the superscript <span class="math notranslate nohighlight">\(k\)</span> identifies the substructure</p></li>
<li><p>the subscript <span class="math notranslate nohighlight">\(j\)</span> indicates the connection interface</p></li>
<li><p><span class="math notranslate nohighlight">\(\mathbf{B}_j^k\)</span> is the matrix of extraction of the degrees of freedom of the connection <span class="math notranslate nohighlight">\(j\)</span></p></li>
<li><p><span class="math notranslate nohighlight">\(\mathbf{R}^k\)</span> is the matrix of rotation which makes it possible to pass from the orientation of the
model that generated the macro-element to that of the substructure</p></li>
<li><p><span class="math notranslate nohighlight">\(\boldsymbol{\Phi}^k\)</span> is the column matrix of the eigenvectors of the substructure <span class="math notranslate nohighlight">\(k\)</span>.</p></li>
</ul>
<p>The interface conditions between substructures 1 and 2 are written:</p>
<div class="math notranslate nohighlight">
\[(\mathbf{q}_j^1)_{\text{oriented}} = (\mathbf{q}_j^2)_{\text{oriented}}
\quad \text{with} \quad
(\mathbf{q}_j^k)_{\text{oriented}} = (\mathbf{L}_j^k)_{\text{oriented}} \boldsymbol{\eta}^k\]</div>
<p>where</p>
<ul class="simple">
<li><p><span class="math notranslate nohighlight">\(\mathbf{q}_j^k\)</span> is the column vector of the physical coordinates of the connection <span class="math notranslate nohighlight">\(j\)</span>
of the substructure <span class="math notranslate nohighlight">\(k\)</span></p></li>
<li><p><span class="math notranslate nohighlight">\(\boldsymbol{\eta}^k\)</span> is the vector column of the generalized coordinates of the substructure
<span class="math notranslate nohighlight">\(k\)</span>.</p></li>
</ul>
</div>
<div class="section" id="the-reduit-option">
<span id="u4-65-02-5-2"></span><h3><span class="section-number">6.22.5.2. </span>The <span class="blue">‘REDUIT’</span> option<a class="headerlink" href="#the-reduit-option" title="Permalink to this headline">¶</a></h3>
<p>The operator calculates the oriented coupling matrices in the generalized model:</p>
<div class="math notranslate nohighlight">
\[(\mathbf{L}_j^k)_{\text{oriented}} = \mathbf{B}_j^k \mathbf{R}^k \boldsymbol{\Phi}^k\]</div>
<p>where</p>
<ul class="simple">
<li><p>the exponent <span class="math notranslate nohighlight">\(k\)</span> indicates the substructure,</p></li>
<li><p>the index <span class="math notranslate nohighlight">\(j\)</span> indicates the connection interface,</p></li>
<li><p><span class="math notranslate nohighlight">\(\mathbf{B}_j^k\)</span> is the matrix of extraction of the degrees of freedom of the connection <span class="math notranslate nohighlight">\(j\)</span>,</p></li>
<li><p><span class="math notranslate nohighlight">\(\mathbf{R}^k\)</span> is the matrix of rotation which makes it possible to pass from the orientation of the
macro-element model to that of the substructure,</p></li>
<li><p><span class="math notranslate nohighlight">\(\boldsymbol{\Phi}^k\)</span> is the column matrix of the eigenvectors of the substructure <span class="math notranslate nohighlight">\(k\)</span>.</p></li>
</ul>
<p>In the case of the option <span class="blue">REDUIT</span> <span class="gray">(“REDUCED”)</span>, one glues together the generalized displacements
of the two interfaces. We ensures that</p>
<div class="math notranslate nohighlight">
\[(\boldsymbol{\Phi}_{\text{slave}})^T (\mathbf{q}_j^1)_{\text{oriented}} =
(\boldsymbol{\Phi}_{\text{slave}})^T (\mathbf{q}_j^2)_{\text{oriented}},
\quad \text{with} \quad
(\mathbf{q}_j^k)_{\text{oriented}} = (\mathbf{L}_j^k)_{\text{oriented}} \boldsymbol{\eta}^k\]</div>
<p>Indeed, in the case of the option <span class="blue">“CLASSIQUE”</span>, the choice of the master and slave degrees of freedom
is equivalent to writing the coupling equation in the form</p>
<div class="math notranslate nohighlight">
\[y_{\text{slave}} - C y_{\text{master}} = 0\]</div>
<p>where <span class="math notranslate nohighlight">\(y\)</span> corresponds to the degrees of freedom. However, the use of a space of reduced dimension
for writing the relation amounts to imposing the following constraints:</p>
<div class="math notranslate nohighlight">
\[\boldsymbol{\Phi}_{\text{slave}} \mathbf{q}_{\text{slave}} -
C \boldsymbol{\Phi}_{\text{master}} \mathbf{q}_{\text{master}} = 0\]</div>
<p>We have, therefore, more equations than unknowns, the number of generalized degrees of freedom
<span class="math notranslate nohighlight">\(\mathbf{q}_{\text{slave}}\)</span> being clearly lower than the number of physical degrees of freedom of the
interface <span class="math notranslate nohighlight">\(y_{\text{slave}}\)</span>.  To ensure good conditioning of the coupling conditions, one thus
projects this relation on the restriction with the interface of the modes of the slave substructure, and the
relation to check then becomes:</p>
<div class="math notranslate nohighlight">
\[\boldsymbol{\Phi}_{\text{slave}}^T \boldsymbol{\Phi}_{\text{slave}} \mathbf{q}_{\text{slave}} -
\boldsymbol{\Phi}_{\text{slave}}^T C \boldsymbol{\Phi}_{\text{master}} \mathbf{q}_{\text{master}} = 0\]</div>
<p>The choice of master substructure master thus conditions the quality of the gluing in strongly incompatible
interfaces.</p>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>When using the option, special attention should be paid to the choice of the master and slave interfaces.
This is because though the kinematic relation between the interfaces is written using the physical degrees
of freedom, that relation is then projected on the modes of the slave interface. If the two models are
identical (3D - 3D, or 2D - 2D), and the discretizations are equivalent, then the master interface will be
the interface with the greatest number of modes. In the case of different models, it will be necessary to
ensure that one has an equivalent number of interface modes for each of the substructures, ideally a little
less for the slave substructure, and choose as the master interface the one presenting the coarsest
discretization. In any case, while future the tools to assess the quality of the
reattachment are being developed, it will be necessary to visually verify the results.</p>
</div>
</div>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<form action="../../search.html" method="get">
  <input class='c-searchbox' type="text" name="q" placeholder="Search" />
  <input type="hidden" name="check_keywords" value="yes" />
  <input type="hidden" name="area" value="default" />
</form><div>
   <h3>Quick search</h3>
   <script async src="https://cse.google.com/cse.js?cx=1913d02e421931d61"></script>
   <div class="gcse-search"></div>
</div><h3>On this page</h3>
<ul>
<li><a class="reference internal" href="#">6.22. <strong>[U4.65.02]</strong> : Operator <code class="docutils literal notranslate"><span class="pre">DEFI_MODELE_GENE</span></code></a><ul>
<li><a class="reference internal" href="#purpose">6.22.1. Purpose</a></li>
<li><a class="reference internal" href="#syntax">6.22.2. Syntax</a></li>
<li><a class="reference internal" href="#operands">6.22.3. Operands</a><ul>
<li><a class="reference internal" href="#key-word-sous-struc">6.22.3.1. Key word <span class="blue">SOUS_STRUC</span></a><ul>
<li><a class="reference internal" href="#operand-nom">6.22.3.1.1. Operand <span class="blue">NOM</span></a></li>
<li><a class="reference internal" href="#operand-macr-elem-dyna">6.22.3.1.2. Operand <span class="blue">MACR_ELEM_DYNA</span></a></li>
<li><a class="reference internal" href="#operand-angl-naut">6.22.3.1.3. Operand <span class="blue">ANGL_NAUT</span></a></li>
<li><a class="reference internal" href="#operand-trans">6.22.3.1.4. Operand <span class="blue">TRANS</span></a></li>
<li><a class="reference internal" href="#keyword-liaison">6.22.3.1.5. Keyword <span class="blue">LIAISON</span>:</a></li>
<li><a class="reference internal" href="#operand-sous-struc-1">6.22.3.1.6. Operand <span class="blue">SOUS_STRUC_1</span></a></li>
<li><a class="reference internal" href="#operand-interface-1">6.22.3.1.7. Operand <span class="blue">INTERFACE_1</span></a></li>
<li><a class="reference internal" href="#operand-group-ma-mait-1">6.22.3.1.8. Operand <span class="blue">GROUP_MA_MAIT_1</span></a></li>
<li><a class="reference internal" href="#operand-sous-struc-2">6.22.3.1.9. Operand <span class="blue">SOUS_STRUC_2</span></a></li>
<li><a class="reference internal" href="#operand-interface-2">6.22.3.1.10. Operand <span class="blue">INTERFACE_2</span></a></li>
<li><a class="reference internal" href="#operand-group-ma-mait-2">6.22.3.1.11. Operand <span class="blue">GROUP_MA_MAIT_2</span></a></li>
<li><a class="reference internal" href="#operand-option">6.22.3.1.12. Operand <span class="blue">OPTION</span></a></li>
</ul>
</li>
<li><a class="reference internal" href="#keyword-verif">6.22.3.2. Keyword <span class="blue">VERIF</span></a><ul>
<li><a class="reference internal" href="#operand-stop-erreur">6.22.3.2.1. Operand <span class="blue">STOP_ERREUR</span></a></li>
<li><a class="reference internal" href="#operands-precision-critere">6.22.3.2.2. Operands <span class="blue">PRECISION / CRITERE</span></a></li>
</ul>
</li>
<li><a class="reference internal" href="#keyword-info">6.22.3.3. Keyword <span class="blue">INFO</span></a></li>
</ul>
</li>
<li><a class="reference internal" href="#execution-phase">6.22.4. Execution phase</a></li>
<li><a class="reference internal" href="#matrices-and-connection-conditions-calculated-by-defi-modele-gene">6.22.5. Matrices and connection conditions calculated by <span class="red">DEFI_MODELE_GENE</span></a><ul>
<li><a class="reference internal" href="#the-classique-option">6.22.5.1. The <span class="blue">‘CLASSIQUE’</span> option</a></li>
<li><a class="reference internal" href="#the-reduit-option">6.22.5.2. The <span class="blue">‘REDUIT’</span> option</a></li>
</ul>
</li>
</ul>
</li>
</ul>


        </div>
      </div>
      <div class="clearer"></div>
    </div>
<footer class="footer">
  <p class="pull-right">
    <a href="../../_sources/docs/user/u4.65.02.rst.txt"
       rel="nofollow">Page Source</a> &nbsp;
    <a href="#">Back to Top</a></p>
  <p>
  </p>
  <p>
    Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 3.5.1. Page design is based on <a href="https://project.lsst.org">LSST</a> created modifications of Astropy's bootstrap-astropy theme in <a href="https://github.com/astropy/astropy-helpers">astropy-helpers</a>. <br />
  </p>
  <p>
    &copy; Copyright 2021, Biswajit Banerjee.  Original version &copy; Copyright 2019 EDF R&amp;D - Licensed under the terms of the GNU FDL (http://www.gnu.org/copyleft/fdl.html).<br/>
  </p>
</footer>
  </body>
</html>